"use strict";
/**
 * @license
 * Copyright 2019 Ludan Stoecklé
 * SPDX-License-Identifier: Apache-2.0
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageSynFrench = void 0;
const LanguageSyn_1 = require("./LanguageSyn");
const stopwordsFr = require("stopwords-fr");
const frenchStemmer = __importStar(require("snowball-stemmer.jsx/dest/french-stemmer.common.js"));
class LanguageSynFrench extends LanguageSyn_1.LanguageSyn {
    constructor() {
        super('fr', new frenchStemmer.FrenchStemmer());
    }
    getStandardStopWords() {
        return stopwordsFr;
    }
    extractWords(input) {
        let res = super.extractWords(input);
        // we just leave [Pp]uisqu [Jj]usqu [Ll]orsqu as they are
        const regexp = new RegExp("^(D|d|Q|q|L|l|S|s|J|j|T|t|M|m|N|n)'", 'g');
        res = res.map((elt) => {
            return elt.replace(regexp, '');
        });
        // sometimes it results in having empty elements
        res = res.filter((elt) => elt.length > 0);
        return res;
    }
}
exports.LanguageSynFrench = LanguageSynFrench;
//# sourceMappingURL=LanguageSynFrench.js.map